## xadrez 0.1.1

=== Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh

.PHONY : all clean install uninstall

all : src
	make -C src

clean : 
	make -C src clean

install : src doc
	make -C src install
	make -C doc

uninstall :
	make -C src uninstall
	make -C doc uninstall
