=== doc/Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh
srcdir = .
prefix = /usr/local
debian_prefix = $(DESTDIR)$(prefix)
datadir = $(debian_prefix)/share
mandir = $(datadir)/man
man1dir = $(mandir)/man1

.PHONY : install uninstall

install : $(srcdir)/xadrez.1
	install -D -m644 $(srcdir)/xadrez.1 $(man1dir)/xadrez.1

uninstall :
	-rm -f $(man1dir)/xadrez.1
