=== src/Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh
HC = ghc
BIN = xadrez
HC_OPTS = -o $(BIN) --make -Wall -O2 -package Cabal
SRCS = Piece.hs Board.hs Tests.hs Input.hs Connection.hs Opts.hs Main.hs
IFS = $(SRCS:.hs=.hi)
OBJS = $(SRCS:.hs=.o)
srcdir = .
prefix = /usr/local
debian_prefix = $(DESTDIR)$(prefix)
exec_prefix = $(debian_prefix)
bindir = $(exec_prefix)/bin

.PHONY : all clean install uninstall

all : $(srcdir)/$(SRCS)
	$(HC) -I$(srcdir) $(HC_OPTS) Main.hs

clean : 
	-rm -f $(IFS) $(OBJS) $(BIN)

install : $(BIN)
	install -D -m755 $(BIN) $(bindir)/$(BIN)

uninstall :
	-rm -f $(bindir)/$(BIN)
