=== debian/changelog ===
xadrez (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Marco Tulio Gontijo e Silva (marcot) <marcot@ufmg.br>  Sun, 24 Apr 2005 11:37:14 -0300

Local variables:
mode: debian-changelog
End:
