=== debian/control ===
Source: xadrez
Section: games
Priority: optional
Maintainer: Marco Tulio Gontijo e Silva (marcot) <marcot@ufmg.br>
Build-Depends: debhelper (>= 4.0.0), ghc6. libghc6-cabal-dev
Standards-Version: 3.6.1

Package: xadrez
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A very easy and lightweigth console chess game
 Xadrez is a point to point implementation of the chess game in haskell. It has
 an easy configuration and simple interface, doesn't require X server and is
 very lightweigth. 
 . 
 It can be downloaded from 
 https://savannah.nongnu.org/projects/xadrez-haskell/ .
